The Spring Framework

## org.springframework.core.annotation
Annotation Type Order

    @Retention(value=RUNTIME)
    @Target(value={TYPE,METHOD,FIELD})
    public @interface Order

Annotation to define ordering.

Value is optional, and represents order value as defined in the Ordered interface. Lower values have higher priority. Default value is `Integer.MAX_VALUE`, indicating lowest priority (losing to any other specified order value).

Since:
  2.0
Author:
  Rod Johnson
See Also:
  `Ordered`, `AnnotationAwareOrderComparator`

Optional Element Summary
`int` `value`

### value

    public abstract int value

  Default:
    2147483647

The Spring Framework

Copyright © 2002-2008 The Spring Framework.